--- a/Makefile
+++ b/Makefile
@@ -54,16 +54,16 @@
 
 CWEAVE = ./cweavex $(CWFLAGS)
 CTANGLE = ./ctanglex $(CTFLAGS)
-
+PDFTEX = pdftex
 
 .SUFFIXES:
-.SUFFIXES: .w .c .o .tex .dvi
+.SUFFIXES: .w .c .o .tex .pdf
 
 .w.tex:
 	$(CWEAVE) $*
 
-.tex.dvi:
-	$(TEX) $*.tex
+.tex.pdf:
+	$(PDFTEX) $*.tex
 
 .w.c:
 	$(CTANGLE) $*
@@ -74,8 +74,8 @@
 .PHONY: all cweb manual doc listings cautiously
 all: cweb doc listings
 cweb: ctanglex cweavex
-manual doc: manual.dvi
-listings: common.dvi ctangle.dvi cweave.dvi
+manual doc: manual.pdf
+listings: common.pdf ctangle.pdf cweave.pdf
 
 cautiously: common.c ctangle.c cweave.c
 	$(RENAME) ctanglex SAVEctangle # save version in case things mess up
@@ -126,7 +126,7 @@
 cweave.tex:  cweave.w $(WCHANGES) parser.w rules.w common.inc intro.inc
 	$(CWEAVE) cweave $(WCHANGES)
 
-manual.dvi: compare.tex
+manual.pdf: compare.tex
 
 .PHONY:	mostlyclean clean install check
 
@@ -135,7 +135,7 @@
 	$(RM) common.tex ctangle.tex cweave.c cweave.tex
 
 clean:	mostlyclean
-	$(RM) *.dvi ctanglex cweavex
+	$(RM) *.pdf ctanglex cweavex
 
 MACRODIR=$(prefix)/share/texmf/tex/plain/litprog
 
